Primary Key Input¶
The generated DELETE Lambda accepts the primary key from query parameters, path parameters, or JSON body.
Accepted aliases:
toolbox\_idprimary\_key\_valueid
Source repository: jef-systems/jef-hardware-backend
Source SHA: 6ac938b7e503be30e03e38baab28bb13a1f11727
Source run id: 28330675689
Lambda function: jef-hardware-delete-006
Lambda ARN: arn:aws:lambda:ap-southeast-1:246715082475:function:jef-hardware-delete-006
HTTP method: DELETE
Operation: delete-one
API path: /hardware-toolboxes-delete-one
Endpoint URL: https://9ulw52hih0.execute-api.ap-southeast-1.amazonaws.com/prod/hardware-toolboxes-delete-one
API Gateway REST API ID: 9ulw52hih0
API Gateway resource ID: 6x3arj
API Gateway source ARN: arn:aws:execute-api:ap-southeast-1:246715082475:9ulw52hih0/\*/DELETE/hardware-toolboxes-delete-one
Stage: prod
DynamoDB table: jef-hardware-toolboxes
Primary key: toolbox\_id
The generated DELETE Lambda accepts the primary key from query parameters, path parameters, or JSON body.
Accepted aliases:
toolbox\_id
primary\_key\_value
id
DELETE /hardware-toolboxes-delete-one?primary_key_value=00000000-0000-4000-8000-000000000000
{
"primary_key_value": "00000000-0000-4000-8000-000000000000"
}
curl -X DELETE "https://9ulw52hih0.execute-api.ap-southeast-1.amazonaws.com/prod/hardware-toolboxes-delete-one" -H "Content-Type: application/json" -d '{"primary_key_value": "00000000-0000-4000-8000-000000000000"}'
curl.exe -X DELETE "https://9ulw52hih0.execute-api.ap-southeast-1.amazonaws.com/prod/hardware-toolboxes-delete-one" -H "Content-Type: application/json" -d "{\"primary_key_value\": \"00000000-0000-4000-8000-000000000000\"}"
Status |
Meaning |
|---|---|
200 |
Item deleted. |
400 |
Missing primary key, invalid payload, or cascade delete attempted. |
404 |
Item not found. |
409 |
Delete blocked because child records exist. |
405 |
Wrong HTTP method. |
500 |
Unexpected error. |